<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
 

<% request.setCharacterEncoding("utf-8");%>
<% 
   String id = request.getParameter("id");
   String password= request.getParameter("password");
   String sql="";
   String delsql="";
   
   ResultSet rs=null;
   String str="";
   
   try{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
	   Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20182263","980629");
	   sql="select id from member_1 where id=?";
	   PreparedStatement pstmt=conn.prepareStatement(sql);
	   pstmt.setString(1, id);
	   rs=pstmt.executeQuery();
	  	    
		if(rs.next()){
			String rid=rs.getString("id");
			 
			if(id.equals(rid)){
				delsql="delete from member_1 where id=?";  // sql DELETE: DELETE FROM 테이블명 WHERE 삭제조건
				pstmt=conn.prepareStatement(delsql);
				pstmt.setString(1,id);
				pstmt.executeUpdate();
				
			}
		}
		rs.close();
		pstmt.close();
		conn.close();  
	 	 
 	 str= "회원 삭제 성공";
 	}catch(Exception e){ 
 		e.printStackTrace();
 		str="회원 삭제 실패";
	
 	}
 %>
<html>
<head>
<title>회원삭제</title>
</head>
<body>
  <div align="center"><%=str %>  <p></div>
  
 <div align="center"><A href="http://localhost:8080/Exam/UserList.jsp">전체 회원 목록 보기</A></div>
  
</body>
</html>